=== modified file 'NEWS'
--- NEWS	2010-04-13 23:35:01 +0000
+++ NEWS	2010-04-18 17:55:33 +0000
@@ -21,6 +21,8 @@
     - Ignore readonly+ prefix when checking if Loggerhead is serving a
       local location. (Reported by Tres Seaver.) (Matt Nordhoff)
 
+    - Add a script and documentation for running under mod_wsgi.
+      (Toshio Kuratomi)
 
 1.17 [20Aug2009]
 ----------------

=== removed file 'README.mod_wsgi'
--- README.mod_wsgi	2010-04-18 17:40:53 +0000
+++ README.mod_wsgi	1970-01-01 00:00:00 +0000
@@ -1,45 +0,0 @@
-To deploy loggerhead via mod_wsgi, you need to add configuration for apache and
-for bazaar.  Example config files are in the loggerhead doc directory as
-loggerhead.conf and bazaar.conf.  You can copy them into place and use them as
-a starting point if you want.
-
-1) Install mod_wsgi.  On Fedora-derived distros::
-     su -c yum install mod_wsgi
-
-   On Debian-derived distros::
-     sudo apt-get install libapache2-mod-wsgi
-
-2) Copy the bazaar conf file where apache will find it (May be done for you if
-   you installed loggerhead from a distribution package)::
-    # install -d -o apache -g apache -m 0755 /etc/loggerhead
-    # cp -p /usr/share/doc/loggerhead*/bazaar.conf /etc/loggerhead/
-
-3) Create the cache directory (May be done for you if you installed loggerhead
-   from a distribution package)::
-    # install -d -o apache -g apache -m 0700 /var/cache/loggerhead/
-
-4) Edit /etc/loggerhead/bazaar.conf.  You need to set http_root_dir to the filesystem
-   path that you will find your bzr branches under.  Note that normal
-   directories under that path will also be visible in loggerhead.
-
-5) Install the apache conf file::
-     # cp -p /usr/share/doc/loggerhead*/apache-loggerhead.conf /etc/httpd/conf.d/loggerhead.conf
-
-6) Edit /etc/httpd/conf.d/loggerhead.conf to point to the url you desire to
-   serve loggerhead on.  This should match with the setting for
-   http_user_prefix in bazaar.conf
-
-7) Restart apache and you should be able to start browsing
-
-.. note:: If you have SELinux enabled on your system you may need to allow
-   apache to execute files in temporary directories.  You will get a
-   MemoryError traceback from python if this is the case.  This is because of
-   the way that python ctypes interacts with libffi.  To rectify this, you may
-   have to do several things, such as mounting tmpdirs so programs can be
-   executed on them and setting this SELinux boolean::
-
-       setsebool httpd_tmp_exec on
-
-    This bug has information about how we might solve this issue permanently
-    and links to bugs which diagnose the root cause.
-    https://bugzilla.redhat.com/show_bug.cgi?id=582009

=== modified file 'apache-loggerhead.conf'
--- apache-loggerhead.conf	2010-04-18 14:41:23 +0000
+++ apache-loggerhead.conf	2010-04-18 17:55:33 +0000
@@ -1,5 +1,5 @@
 ### If you receive MemoryError tracebacks setting up loggerhead under mod_wsgi,
-### read /usr/share/doc/loggerhead*/README.mod_wsgi for help
+### read /usr/share/doc/loggerhead*/README for help
 Alias /bzr/static /usr/share/loggerhead/static
 RewriteEngine On
 RewriteRule ^/bzr$ /bzr/ [R]

=== modified file 'docs/index.rst'
--- docs/index.rst	2010-04-13 08:46:25 +0000
+++ docs/index.rst	2010-04-18 17:55:33 +0000
@@ -149,6 +149,61 @@
 some path into the site, you'll need to specify it using
 ``--prefix=/some_path``.
 
+Serving Loggerhead with mod_wsgi
+--------------------------------
+
+A second method for using loggehead with apache is to have apache itself
+execute loggerhead via mod_wsgi.  You need to add configuration for apache and
+for bazaar to make this work.  Example config files are in the loggerhead doc
+directory as apache-loggerhead.conf and bazaar.conf.  You can copy them into
+place and use them as a starting point following these directions:
+
+1) Install mod_wsgi.  On Ubuntu and other Debian derived distros::
+
+    sudo apt-get install libapache2-mod-wsgi
+
+   On Fedora-derived distros::
+
+    su -c yum install mod_wsgi
+
+2) Copy the bazaar conf file where apache will find it (May be done for you if
+   you installed loggerhead from a distribution package)::
+
+    # install -d -o apache -g apache -m 0755 /etc/loggerhead
+    # cp -p /usr/share/doc/loggerhead*/bazaar.conf /etc/loggerhead/
+    # ln -s /etc/loggerhead /var/www/.bazaar
+
+3) Create the cache directory (May be done for you if you installed loggerhead
+   from a distribution package)::
+
+    # install -d -o apache -g apache -m 0700 /var/cache/loggerhead/
+
+4) Edit /etc/loggerhead/bazaar.conf.  You need to set http_root_dir to the filesystem
+   path that you will find your bzr branches under.  Note that normal
+   directories under that path will also be visible in loggerhead.
+
+5) Install the apache conf file::
+
+     # cp -p /usr/share/doc/loggerhead*/apache-loggerhead.conf /etc/httpd/conf.d/loggerhead.conf
+
+6) Edit /etc/httpd/conf.d/loggerhead.conf to point to the url you desire to
+   serve loggerhead on.  This should match with the setting for
+   http_user_prefix in bazaar.conf
+
+7) Restart apache and you should be able to start browsing
+
+.. note:: If you have SELinux enabled on your system you may need to allow
+   apache to execute files in temporary directories.  You will get a
+   MemoryError traceback from python if this is the case.  This is because of
+   the way that python ctypes interacts with libffi.  To rectify this, you may
+   have to do several things, such as mounting tmpdirs so programs can be
+   executed on them and setting this SELinux boolean::
+
+       setsebool httpd_tmp_exec on
+
+   This bug has information about how python and/or Linux distros might solve
+   this issue permanently and links to bugs which diagnose the root cause.
+   https://bugzilla.redhat.com/show_bug.cgi?id=582009
 
 Search
 ------

